
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>简单掌握Python的Collections模块中counter结构的用法_python / iVAN</title>

    <meta name="description" content="简单掌握Python的Collections模块中counter结构的用法_python counter 是一种特殊的字典,主要方便用来计数,key 是要计数的 item,value 保存的是个数. from collections import Counter &gt;&gt;&gt; c = Counter('hello,world') Counter({'l': 3, 'o': 2, 'e': 1, 'd': 1, 'h': 1, ',': 1, 'r': 1, 'w': 1}) 初始化可以传入三种类型的参数:字典,其他 iterable 的数据类型,还有命名的参数对. | _ ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">简单掌握Python的Collections模块中counter结构的用法_python</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>counter 是一种特殊的字典，主要方便用来计数，key 是要计数的 item，value 保存的是个数。</p>
<pre>
from collections import Counter

&gt;&gt;&gt; c = Counter('hello,world')
Counter({'l': 3, 'o': 2, 'e': 1, 'd': 1, 'h': 1, ',': 1, 'r': 1, 'w': 1})
</pre>
<p>初始化可以传入三种类型的参数：字典，其他 iterable 的数据类型，还有命名的参数对。</p>
<pre>
 | __init__(self, iterable=None, **kwds)
 |  Create a new, empty Counter object. And if given, count elements
 |  from an input iterable. Or, initialize the count from another mapping
 |  of elements to their counts.
 |
 |  &gt;&gt;&gt; c = Counter()       # a new, empty counter
 |  &gt;&gt;&gt; c = Counter('gallahad')     # a new counter from an iterable
 |  &gt;&gt;&gt; c = Counter({'a': 4, 'b': 2})   # a new counter from a mapping
 |  &gt;&gt;&gt; c = Counter(a=4, b=2)     # a new counter from keyword args
</pre>
<p>默认请求下，访问不存在的 item，会返回 0。Counter 可以用来统计某些数据的出现次数，比如一个很长的数字串 numbers = "67642192097348921647512014651027586741512651" 中每个数字的频率：</p>
<pre>
&gt;&gt;&gt; c = Counter(numbers) # c 存储了每个数字的频率
&gt;&gt;&gt; c.most_common()  # 所有数字按照频率排序。如果 most_common 接受了 int 参数 n，将返回频率前n 的数据，否则会返回所有的数据
[('1', 8),
 ('2', 6),
 ('6', 6),
 ('5', 5),
 ('4', 5),
 ('7', 5),
 ('0', 3),
 ('9', 3),
 ('8', 2),
 ('3', 1)]
</pre>
<p>此外，你还可以对两个 Counter 对象进行 +, -，min， max 等操作。</p>
<p><strong>综合示例：<br /></strong></p>
<pre>
print('Counter类型的应用')
c = Counter("dengjingdong")
#c = Counter({'n': 3, 'g': 3, 'd': 2, 'i': 1, 'o': 1, 'e': 1, 'j': 1})
print("原始数据：",c)
print("最多的两个元素：",c.most_common(2))#输出数量最多的元素
print("d的个数：",c['d'])#输出d的个数
print(c.values())#输出字典的value列表
print(sum(c.values()))#输出总字符数
print(sorted(c.elements()))#将字典中的数据，按字典序排序
print('\n\n')
"""
#删除所有d元素
del c['d']
b = Counter("dengxiaoxiao")
#通过subtract函数删除元素，元素个数可以变成负数。
c.subtract(b)
""" 

"""
可以添加数据
b = Counter("qinghuabeida")
c.update(b)
""" </pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索python<br />
                    ，                collections<br />
                                    counter<br />
                                    collections.counter、collections.copy用法、java collections用法、collections.sort用法、collections用法，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 14:54:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/counter/" title="counter">counter</a>, <a href="https://www.iamivan.net/tag/collections/" title="collections">collections</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>简单掌握Python的Collections模块中counter结构的用法_python的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RdrZb.html" rel="bookmark">简介Python的collections模块中defaultdict类型的用法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				defaultdict 主要用来需要对 value 做初始化的情形.对于字典来说,key 必须是 hashable,immutable,unique 的数据,而 value 可以是任意的数据类型.如果 value 是 list,dict 等数据类型,在使用之前必须初始化为空,有些情况需要把 value 初始化为特殊值,比如 0 或者 ''. from collections import defaultdict person_by_age = defaultdict(list) for pers			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY5ZLBM.html" rel="bookmark">Python的collections模块中namedtuple结构使用示例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				namedtuple 就是命名的 tuple,比较像 C 语言中 struct.一般情况下的 tuple 是 (item1, item2, item3,...),所有的 item 都只能按照 index 访问,没有明确的称呼,而 namedtuple 就是事先把这些 item 命名,以后可以方便访问. from collections import namedtuple # 初始化需要两个参数,第一个是 name,第二个参数是所有 item 名字的列表. coordinate = namedtu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkePL7b.html" rel="bookmark">Python的collections模块中的OrderedDict有序字典&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如同这个数据结构的名称所说的那样,它记录了每个键值对添加的顺序. d = OrderedDict() d['a'] = 1 d['b'] = 10 d['c'] = 8 for letter in d: print letter 输出:    a b c 如果初始化的时候同时传入多个参数,它们的顺序是随机的,不会按照位置顺序存储. &gt;&gt;&gt; d = OrderedDict(a=1, b=2, c=3) OrderedDict([('a', 1), ('c', 3), ('b', 2)])			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYj4Lp.html" rel="bookmark">详解Python的collections模块中的deque双端队列结构&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				deque 是 double-ended queue的缩写,类似于 list,不过提供了在两端插入和删除的操作. appendleft 在列表左侧插入 popleft 弹出列表左侧的值 extendleft 在左侧扩展 例如: queue = deque() # append values to wait for processing queue.appendleft(&quot;first&quot;) queue.appendleft(&quot;second&quot;) queue.appendl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4wrkPp.html" rel="bookmark">Python的time模块中的常用方法整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python的time模块中的常用方法整理,time模块是专门用于处理日期时间的模块,需要的朋友可以参考下 在应用程序的开发过程中,难免要跟日期.时间处理打交道.如:记录一个复杂算法的执行时间;网络通信中数据包的延迟等等.Python中提供了time, datetime calendar等模块来处理时间日期,今天对time模块中最常用的几个函数作一个介绍. time.time time.time()函数返回从1970年1月1日以来的秒数,这是一个浮点数. time.slee			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2V59p.html" rel="bookmark">在Python的struct模块中进行数据格式转换的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了在Python的struct模块中进行数据格式转换的方法,文中还给出了C语言和Python语言的数据类型比较,需要的朋友可以参考下 Python是一门非常简洁的语言,对于数据类型的表示,不像其他语言预定义了许多类型(如:在C#中,光整型就定义了8种),它只定义了六种基本类型:字符串,整数,浮点数,元组,列表,字典.通过这六种数据类型,我们可以完成大部分工作.但当Python需要通过网络与其他的平台进行交互的时候,必须考虑到将这些数据类型与其他平台或语言之间的类型进行互相转换			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqRGqYp.html" rel="bookmark">简单掌握Python中glob模块查找文件路径的用法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				glob使用UNIX shell规则查找与一个模式匹配的文件名.只要程序需要查找文件系统中名字与某个模式匹配的一组文件,就可以使用这个模块. glob的模式规则与re模块使用的正则表达式不相同.glob模式遵循标准UNIX路径扩展规则.只是用几个特殊字符来实现两个不同的通配符和字符区间.模式规则要应用于文件名中的段.模式中的路径可以是相对路径或绝对路径. shell变量名和波浪线都不会扩展. 基本用法 1.glob.glob(pathname), 返回所有匹配的文件路径列表.它只有一个参数pat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKLjW7M.html" rel="bookmark">在Python的Flask框架中实现全文搜索功能&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 全文检索引擎入门 灰常不幸的是,关系型数据库对全文检索的支持没有被标准化.不同的数据库通过它们自己的方式来实现全文检索,而且SQLAlchemy在全文检索上也没有提供一个好的抽象. 我们现在使用SQLite作为我们的数据库,所以我们可以绕开SQLAlchemy而使用SQLite提供的工具来创建一个全文检索索引.但这么做不怎么好,因为如果有一天我们换用别的数据库,那么我们就得重写另一个数据库的全文检索方法. 所以我们的方案是,我们将让我们现有的数据库处理常规数据,然后我们创建一个专门的数据库来解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QqGap.html" rel="bookmark">python使用datetime模块计算各种时间间隔的方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了python使用datetime模块计算各种时间间隔的方法.分享给大家供大家参考.具体分析如下: python中通过datetime模块可以很方便的计算两个时间的差,datetime的时间差单位可以是天.小时.秒,甚至是微秒,下面的代码就演示了datetime模块在计算时间差时的强大功能 # -*- coding: utf-8 -*- #!/usr/bin/env python import datetime #datetime一般的时间计算 d1 = datetime.datet			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3VPkz.html" rel="bookmark" class="title">十大WordPress MU管理员插件</a>
					<div>
						Wordpress MU是Wordpress的多用户版本,因为程序结构的关系,Wordpress MU并不一定能兼容Wordpress的插件.WordPress MU有全局的插件和针对单个站点的插件, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOKLQz.html" rel="bookmark" class="title">JavaScript高级应用：例外处理</a>
					<div>
						javascript|高级 程序开发中,编程人员经常要面对的是如何编写代码来响应错误事件的发生,即例外处理(exception handlers).如果例外处理代码设计得周全,那么最终呈现给用户的就将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j5kob.html" rel="bookmark" class="title">Dreamweaver如何插入复选框和复选框组</a>
					<div>
						  一.插入单个复选框 1. 点击鼠标,将光标定位在表单框线内,点击&quot;插入&quot;菜单,选择&quot;表单&quot;项,在弹出的子菜单中选择&quot;复选框&quot;命令. 或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKqA6M.html" rel="bookmark" class="title">阿里云服务器带宽跑满怎么办</a>
					<div>
						带宽跑满 造成服务器带宽跑满的原因有很多,大致可以归结为以下几类: 病毒 Windows 系统服务器中病毒或站点挂马,导致服务器内部有对外发包的文件. 建议在服务器上安装杀毒软件,进行杀毒.可以通过任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG3X1b.html" rel="bookmark" class="title">光盘装系统怎么分区</a>
					<div>
						  光盘装系统怎么分区          一.所需工具 1.操作系统:电脑系统下载 2.系统光盘:怎么制作ghost系统光盘[图文] 3.启动设置:怎么设置从光盘启动 二.光盘装系统分区步骤如下: 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWD7Bb.html" rel="bookmark" class="title">Win7系统更新&amp;quot&semi;80246007&amp;quot&semi;错误的解决办法</a>
					<div>
						  系统更新过程中遇到80246007错误是由于BITS服务未开启造成的,具体解决方法如下: [更改或重新启动后台智能传送服务 (BITS) 的步骤] 必须以管理员身份进行登录,才能执行这些步骤: 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1AJWb.html" rel="bookmark" class="title">ghost镜像安装器使用图文教程</a>
					<div>
						  1.打开Ghost安装器,系统自动备份,选&quot;备份&quot;--点击&quot;...&quot;--选择保存目录--执行即可. 2.系统自动还原,选&quot;还原&quot;--点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42QoPM.html" rel="bookmark" class="title">仿windows工具条样式&lowbar;CSS&sol;HTML</a>
					<div>
						   防菜单条样式 [Ctrl+A 全选 注:如需引入外部Js需刷新才能执行]					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOl3Y5b.html" rel="bookmark" class="title">告别ADO&period;NET实现应用系统无缝切换的烦恼&lpar;总结篇&rpar;&lowbar;实用技巧</a>
					<div>
						可能只是那么想也是那么设计的,要支持多数据库,要能支持多数据库,万一要是以后数据库变了怎么办?万一要是...怎么办?这些顾虑很多时候是不必要的,反而绕了弯子.大都是做项目应用系统而非产品,即使要用不同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/b2P26qp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MDIxNDAzMzI5OTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Ykc5M2NISnZabWxzWlY5amIyUnBibWM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/b2P26qp.html" rel="bookmark" class="title">ViewPager&plus;RadioGroup实现标题栏切换&comma;Fragment切换</a>
					<div>
						1.说明: 在使用RadioGroup做标题栏切换的时候,跟ViewPager的滑动有冲突,最后查看了源码+断点调试解决了一些碰到的问题,写一篇博客总结一下,有同样需求的朋友可以借鉴一下,自己以后有用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7wwKz.html" rel="bookmark" class="title">2013&sol;11&sol;22工作随笔-缓存是放在Model层还是放在Controller层</a>
					<div>
						web网站的典型代码框架就是MVC架构,Model层负责数据获取,Controller层负责逻辑控制,View层则负责展示. 一般数据获取是去mysql中获取数据 但是这里有个问题,我们不会每次请求都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamQKXb.html" rel="bookmark" class="title">apache的开源项目-模板引擎&lpar;Velocity&rpar;&lpar;转&rpar;</a>
					<div>
						然后修改conf文件下的server.xml文件,在server.xml里的           &lt;Connector port=&quot;8080&quot; .... /&gt;字段后   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamQPgb.html" rel="bookmark" class="title">Exchange中的配置问题&period;</a>
					<div>
						问题描述 大家好,我是名新手.最近在学习Exchange,我搭建好了虚拟环境.AD已入门,但是在搭建Exchange的时候出现了问题.主要有以下两个问题:1.如何配置Outlook与Exchange关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVa41b.html" rel="bookmark" class="title">noclassdeffounderror-java&period;lang&period;NoClassDefFoundError</a>
					<div>
						问题描述 java.lang.NoClassDefFoundError 解决方案 这个错误一般是缺少jar包造成的. ......答案就在这里:java.lang.NoClassDefFoundErr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm68qwz.html" rel="bookmark" class="title">【转】CSS 与 HTML5 响应式图片</a>
					<div>
						关于响应式的,近来国内外也不断提到,还是目前比较流行的技术话题,这篇文章来至淘宝UED的,讲得是响应式图片,写得很不错.  随着 Retina 屏幕的逐渐普及,网页中对图片的适配要求也越来越高.如何让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydWokb.html" rel="bookmark" class="title">云计算虽蓬勃发展 云安全却令人不安</a>
					<div>
						本文讲的是云计算虽蓬勃发展 云安全却令人不安,2012年,人们对云计算的热度也开始降低,&quot;云&quot;开始从概念炒作的初级阶段转向落地和务实阶段.全球权威IT研究与顾问咨询公司Gartne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK46oz.html" rel="bookmark" class="title">Scala类基础</a>
					<div>
						最近在开始学习Scala,本篇文章我们来讲解一下Scala中类的使用 class Counter { var defaultValue = 0 val valValue = 0 private var ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAQ5eM.html" rel="bookmark" class="title">软件定义安全&mdash;&mdash;南开大学开创高校安全防护新篇章</a>
					<div>
						近日,杭州华三通信技术有限公司(以下简称:华三通信)成功中标南开大学新校区(津南校区)网络系统信息化系统建设项目.华三通信提供了全面的网络安全一体化解决方案,实现了南开大学数字化校园又一次革新. 南开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmdLRM.html" rel="bookmark" class="title">过年了，程序员同学如何给老板提加薪？</a>
					<div>
						还有不到一个月的时间就要过春节了!对大多数人而言,年终奖的确让人很期待.但是有一件事让很多程序员同学「耿耿于怀」,那就是如何开口给老板提加薪呢?一般而言,程序员都不善于和老板提这个问题,一是因为脸皮薄 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydmdJb.html" rel="bookmark" class="title">Basic认证</a>
					<div>
						Basic 概述 Basic 认证是HTTP 中非常简单的认证方式,因为简单,所以不是很安全,不过仍然非常常用. 当一个客户端向一个需要认证的HTTP服务器进行数据请求时,如果之前没有认证过,HTTP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmA4ab.html" rel="bookmark" class="title">spring mvc-springMvc过滤器配置过滤路径</a>
					<div>
						问题描述 springMvc过滤器配置过滤路径 我想实现一个功能就是,过滤一个url然后配置文件过滤截取到这个路径直接跳转到指定的URL中.不用去写一个类去处理的那种.直接在配置文件处理.是过滤的路径 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB3Jlb.html" rel="bookmark" class="title">网络犯罪为何从个人电脑转向移动设备？</a>
					<div>
						 本文讲的是 :  网络犯罪为何从个人电脑转向移动设备?  , [IT168 资讯]近日,随着移动电话的普及,固定电话仿佛要渐渐消失在人们的生活当中了.事实上,完全依靠移动电话的美国家庭数量正在持续增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKqZOb.html" rel="bookmark" class="title">我国齿轮测量仪器研制水平跨越发展</a>
					<div>
						我国齿轮行业在&quot;十五&quot;期间实现了跨越式发展,而跨越式发展的标志之一就是整个齿轮行业的普遍技术改造和装备水平的大幅提升.其中,齿轮测量仪器作为齿轮生产企业必备的检测仪器,是齿轮行业技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1229jp.html" rel="bookmark" class="title">OpenStack 实现技术分解 &lpar;5&rpar; 应用开发 &mdash; 使用 OpenStackClients 进行二次开发</a>
					<div>
						目录 目录 前文列表 参考阅读 前言 OpenStackClients 使用 OpenStackClients 获取 project_client object 的 demo 调用 project_c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdymAmz.html" rel="bookmark" class="title">selenium RC 环境配置</a>
					<div>
						在网上搜索了许久,没找到有具体的配置,只是简单了写了几个步骤,自己琢磨了一下,于是,就想整理一篇文章,便于以后温习. 本文是参照官网的步骤进行了,当然了,也不完成相同.在这里我要说的是java的环境, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJWeqp.html" rel="bookmark" class="title">C&plus;&plus;中的三种继承public&comma;protected&comma;private详细解析&lowbar;C 语言</a>
					<div>
						三种访问权限 public:可以被任意实体访问 protected:只允许子类及本类的成员函数访问 private:只允许本类的成员函数访问 三种继承方式 public 继承 protect 继承 p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRoyop.html" rel="bookmark" class="title">spring-j2ee系统架构设计 请求帮忙</a>
					<div>
						问题描述 j2ee系统架构设计 请求帮忙 现在系统有这样的需求, 所有的controller调用一个service入口(controller 与service分开的两个工程), 在这个入口的servi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60VKNz.html" rel="bookmark" class="title">这个sql语句怎么写&quest;</a>
					<div>
						问题描述 有如下两张表表A:id taskid area_code keyword advertiser_id order_month1 1 0 咖啡 1 2011082 2 1 音乐 2 20110 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R3gaz.html" rel="bookmark" class="title">毫秒级弹性伸缩，阿里的函数计算平台让开发者进入计算时代</a>
					<div>
						4月26日,在云栖大会·南京峰会上,阿里云宣布函数计算(Function Compute)启动邀测.这是一个事件驱动的无服务器计算平台.用户按需调用.按需付费,无需管理服务器等基础设施,特别适用于应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmRldz.html" rel="bookmark" class="title">DVD影片备份DVDFab Platinum v3&period;1&period;1&period;2 多国语言版 下载&lowbar;常用工具</a>
					<div>
						让你制作完美的DVD影片备份的工具,可在一片或多片光盘中备份出全部DVD内容(包括菜单,电影预告片和特别功能).无损复制DVD电影:可复制NTSC或PAL制式DVD:可只复制电影部分,不包括不需要的音 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
